body {
    font-family: Arial, Helvetica, sans-serif;
    margin: 0;
    min-height: 100vh;
    background-image: linear-gradient(to top right, #0d47a1, #1976d2, #42a5f5, #1976d2);
    display: flex;
    justify-content: center;
    align-items: center;
    flex-direction: column;
    position: relative; 
}

.logo {
    position: fixed;       
    top: 30px;             
    left: 30px;          
}

.logo img {
    height: 75px;
    width: auto;        
    display: block;
}

h1 {
    position: absolute;  
    top: 10%;            
    left: 50%;
    transform: translateX(-50%);
    color: white;
    font-size: 50px;
    text-align: center;
    margin: 0; 
}

div {
    display: flex;
    flex-direction: column;
    align-items: center;
}

form {
    background: white;
    padding: 25px 35px 25px 35px;
    border-radius: 12px;
    width: 320px;
}

.erreur {
    color: red;
    text-align: center;
    margin-top: 0;
}

form p {
    margin-bottom: 5px;
}

label {
    font-weight: bold;
    display: block;
    margin-bottom: 8px;
}

input {
    text-align: left;
    width: 100%;
    padding: 8px;
    border-radius: 6px;
    border: 1px solid lightgray;
    box-sizing: border-box;
}

button {
    width: 100%;
    padding: 10px;
    margin-top: 35px;
    border: none;
    border-radius: 6px;
    background: #1976d2;
    color: white;
    font-weight: bold;
    cursor: pointer;
}

button:hover {
    background: #0d47a1;
}

.textLien {
    color: white;
}

a {
    color: purple;
    text-decoration-line: none;
}